Bug 496389 - Incorrect Opentype Font Exporting and Printing
Incorrect Opentype Font Exporting and Printing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
11
i586 Linux
low Severity urgent
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-18 11:18 EDT by zhoujingmiller
Modified: 2010-06-28 07:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:54:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhoujingmiller 2009-04-18 11:18:14 EDT
Description of problem:

I labelled this bug as relevant to freetype for it is related to font rendering issues in general.

This problem could be reproduced as follows:

Open an odt file, with opentype fonts specified within, with abiword and export (print) it to pdf. Use pdffonts to list the embedded fonts within in the pdf. Then the terminal result shows that the opentype font is replaced by times new roman.

Open an odt file, with opentype fonts specified within, with abiword and export (print) it to ps. Then evince fails to open the file.

Open an odt file, with opentype fonts specified within, with kword (2.0 rc1), under gnome, and export it to pdf. Then kword crashes. However if the file is opened via kword under kde, kword then export the file to pdf, and pdffonts show that the pdf does include the embedded "real" opentype fonts.

Set application font to some opentype fonts and open openoffice.org writer. Then we will notice that the openoffice.org application font is not the opentype font specified. Also, openoffice.org cannot use opentype fonts within the document, nor can openoffice.org display opentype fonts correctly within the document. The document mentioned above is an odt file. I didnt notice any other application that has such behavior.

I am also sure that this problem is reproducible on fedora 10. However, since I am using fedora 11 rawhide right now, I filed it as a fedora 11 bug.

Version-Release number of selected component (if applicable):

freetype.i586                        2.3.9-3.fc11
koffice-kword.i586                   2:1.9.99.0-1.fc12
openoffice.org-writer.i586           1:3.1.0-9.2.fc11
pango.i586                           1.24.1-1.fc11
pangomm.i586                         2.24.0-1.fc11
qt.i586                              1:4.5.0-14.fc11
abiword.i586                         1:2.6.8-2.fc11
kdebase-devel.i586                          6:4.2.2-2.fc11
kdelibs.i586                           6:4.2.2-5.fc11

Expected results:

Abiword, Openoffice.org, Kword, and all other applications are supposed to export documents with opentype fonts to pdf with real opentype fonts, not with any kind of other substitution fonts, and those applications are supposed to do so under every desktop environment.
Comment 1 zhoujingmiller 2009-04-18 11:35:19 EDT
Here's the website that states that freetype 2 supports opentype: http://www.freetype.org/freetype2/index.html
Comment 2 Bug Zapper 2009-06-09 10:04:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:45:52 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:54:43 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.